%define realname Catalyst-Plugin-HTML-Widget
%define name	perl-%{realname}
%define	modprefix Catalyst

%define version 1.1
%define release %mkrel 2

Summary:	HTML Widget And Validation Framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Catalyst) >= 5.5
BuildRequires:	perl(HTML::Widget)
Requires:	perl >= 5.8.1
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
HTML Widget And Validation Framework


%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}



%changelog
* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-06 19:06:42 (53577)
- Spec file cleanup

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-06 18:54:02 (53544)
- import perl-Catalyst-Plugin-HTML-Widget-1.1-1mdk

* Tue Jan 18 2005 Scott Karns <scott@karnstech.com> 1.1-1mdk
- Initial Mdv RPM

